﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
//using System.Windows.Shapes;
using System.Windows.Threading;
using Steema.TeeChart.WPF;
using Steema.TeeChart.WPF.Drawing;
using Steema.TeeChart.WPF.Styles;
using Steema.TeeChart.WPF.Tools;

namespace WpfScroll
{
    /// <summary>
    /// Interaction logic for WindowScroll.xaml
    /// </summary>
    public partial class WindowScroll : Window
    {
        Line line = new Line();
        DispatcherTimer timer;

        public WindowScroll()
        {
            InitializeComponent();
            IntializeChart();
            this.SizeChanged += Window23_SizeChanged;
        }
        void Window23_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            tChart1.Axes.Bottom.SetMinMax(DateTime.Now.ToOADate(), DateTime.Now.AddMinutes(60).ToOADate());
        }

        void IntializeChart()
        {
            timer = new DispatcherTimer();
            timer.Interval = new TimeSpan(0, 0, 0, 1);
            timer.Tick += timer_Tick;
            timer.Start();

            Random Rnd = new Random();
            tChart1.Aspect.View3D = false;
            tChart1.Series.Add(line);
            line.LinePen.Width = 3;

            Random rnd = new Random();
            for (int i = 2160 * 60 ; i >= 0; i--)
            {
                line.Add(DateTime.Now.AddSeconds(-(i * 30)).ToOADate(), rnd.Next(20, 50));
            }
            line.Add(DateTime.Now, rnd.Next(20, 50));
            tChart1.Axes.Bottom.SetMinMax(DateTime.Now.AddMinutes(-60).ToOADate(), DateTime.Now.ToOADate());
        }

        void timer_Tick(object sender, EventArgs e)
        {
            Random rnd = new Random();
            int n = rnd.Next(20, 100);
            line.Add(DateTime.Now, n);

            txtBlock.Text = DateTime.Now.ToString() + ":" + n;
            tChart1.Axes.Bottom.SetMinMax(DateTime.Now.AddMinutes(-60).ToOADate(), DateTime.Now.ToOADate());
        }

    }
}
